package com.jasamedika.medifirst2000.vo;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.entities.Pegawai;
import com.jasamedika.medifirst2000.helper.Caption;

public class DetailUraianTugasTransaksiVO extends BaseTransactionVO{	
	
	@ManyToOne
	@JoinColumn(name = "ObjectUraianTugasTransaksiFk")
	@Caption(value = "Object UraianTugasTransaksi")
	private UraianTugasTransaksiVO uraianTugasTransaksi;
	
	@Column(name = "ObjectUraianTugasTransaksiFk", insertable = false, updatable = false, nullable = false)
	private String uraianTugasTransaksiId;
	
	@ManyToOne
	@JoinColumn(name = "ObjectRincianTugasFk")
	@Caption(value = "Object Rincian Tugas")
	private RincianKegiatanVO rincianKegiatan;
	
	@Column(name = "ObjectRincianTugasFk", insertable = false, updatable = false, nullable = true)
	private Integer rincianKegiatanId;
	
	@Caption(value = "Capaian")
	@NotNull(message = "Capaian  tidak boleh kosong")
	@Column(name = "capaian", nullable = true)
	private Double capaian;

	@Caption(value = "Tanggal")
	@NotNull(message = "Tanggal  tidak boleh kosong")
	@Column(name = "tanggal", nullable = true)
	private Date tanggal;		
	
	@ManyToOne
	@JoinColumn(name = "ObjectPegawaiFk")
	@Caption(value = "Object Pegawai")
	private PegawaiVO pegawai;
	
	@Column(name = "ObjectPegawaiFk", insertable = false, updatable = false, nullable = true)
	private Integer pegawaiId;

	public UraianTugasTransaksiVO getUraianTugasTransaksi() {
		return uraianTugasTransaksi;
	}

	public void setUraianTugasTransaksi(UraianTugasTransaksiVO uraianTugasTransaksi) {
		this.uraianTugasTransaksi = uraianTugasTransaksi;
	}

	public String getUraianTugasTransaksiId() {
		return uraianTugasTransaksiId;
	}

	public void setUraianTugasTransaksiId(String uraianTugasTransaksiId) {
		this.uraianTugasTransaksiId = uraianTugasTransaksiId;
	}

	public RincianKegiatanVO getRincianKegiatan() {
		return rincianKegiatan;
	}

	public void setRincianKegiatan(RincianKegiatanVO rincianKegiatan) {
		this.rincianKegiatan = rincianKegiatan;
	}

	public Integer getRincianKegiatanId() {
		return rincianKegiatanId;
	}

	public void setRincianKegiatanId(Integer rincianKegiatanId) {
		this.rincianKegiatanId = rincianKegiatanId;
	}

	public Double getCapaian() {
		return capaian;
	}

	public void setCapaian(Double capaian) {
		this.capaian = capaian;
	}

	public Date getTanggal() {
		return tanggal;
	}

	public void setTanggal(Date tanggal) {
		this.tanggal = tanggal;
	}

	public PegawaiVO getPegawai() {
		return pegawai;
	}

	public void setPegawai(PegawaiVO pegawai) {
		this.pegawai = pegawai;
	}

	public Integer getPegawaiId() {
		return pegawaiId;
	}

	public void setPegawaiId(Integer pegawaiId) {
		this.pegawaiId = pegawaiId;
	}
	
}
